#  aRT : API R - TerraLib                                                
#  Copyright (C) 2003-2009  LEG                                          
#                                                                        
#  This program is free software; you can redistribute it and/or modify  
#  it under the terms of the GNU General Public License as published by  
#  the Free Software Foundation; either version 2 of the License, or     
#  (at your option) any later version.                                   
#                                                                        
#  This program is distributed in the hope that it will be useful,       
#  but WITHOUT ANY WARRANTY; without even the implied warranty of        
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         
#  GNU General Public License for more details.                          
#                                                                        
#  You should have received a copy of the GNU Lesser General Public      
#  License along with this library.

# generateids is used in static tables for generating ids from the
# layer geometries.
# only external tables are allowed to be built from aRTdb's
setMethod("initialize", "aRTnetwork", function(.Object)
{
	.Object@pointer <- .Call("cppNewaRTnetwork", PACKAGE="aRT")
  	reg.finalizer(.Object@pointer, .aRTremove)
	.Object
})

createNetwork <- function(lines=NULL, weight=NULL)
{
	net <- new("aRTnetwork")

	if(!is.null(lines)) addLines(net, lines, weight)

    net
}

setMethod("addLines", "aRTnetwork", function(object, lines, weight)
{
	if( !is(lines, "aRTgeometry")) stop("'lines' must be an aRTgeometry object")

	names(weight) = c("id", "weight")

	.Call("cppAddNetworkLines", object@pointer, list(weight=weight), lines@pointer, PACKAGE="aRT")
	return(invisible())
})

